---
title: Create / Update TaskRequest
slug: create-update-taskrequest
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "XCd6zUMRwUfUtP0df2nTN",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/task_requests",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/task_requests"
      }
    ],
    "name": "Create / Update TaskRequest",
    "description": "This endpoint allows to create or update the task request data.\n\nIf you want to update Task request using POST method you need to fill information for guid field or systemId field in request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "title",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "client",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Client"
            },
            {
              "name": "workspace",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Workspace"
            },
            {
              "name": "description",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "systemId",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from external system"
            },
            {
              "name": "guid",
              "kind": "optional",
              "type": "string",
              "description": "Identifier from Frontu"
            },
            {
              "name": "deleted",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Mark if entity is archived (1) or active (0)</p>"
            },
            {
              "name": "equipment",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Equipment"
            },
            {
              "name": "office",
              "kind": "optional",
              "type": "string",
              "description": "GUID or systemId of Office"
            },
            {
              "name": "tags",
              "kind": "optional",
              "type": "array",
              "description": "Array with tag strings",
              "example": "[\"Test Tag\"]",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "sCsfY8miB5fWjD9ZM-jY8",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/task_requests \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"title\": \"\"\n     }'"
        },
        {
          "id": "GOgczlyI2x2yA3NF79Ifo",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"title\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/task_requests\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "iKvfeuzhrKcVJYlKEQ6TR",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/task_requests\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"title\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "232o0nBRXSlsfONO_3-q1",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/task_requests\"\n\npayload = json.dumps({\n   \"title\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "sCsfY8miB5fWjD9ZM-jY8"
    },
    "results": {
      "languages": [
        {
          "id": "qsRlzSNHiCr6-I5ZA02mQ",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "X0jvaWO5lWRf-pYfyvBfq",
          "language": "400",
          "code": "// Data contains errors\n"
        }
      ],
      "selectedLanguageId": "qsRlzSNHiCr6-I5ZA02mQ"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}